Retrieve
curl --request GET \
--url https://{defaultHost}/v1/events/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2277ea0f-8d0f-4e54-996b-a61a3f524bfb",
"object": "event",
"data": {
"object": {
"id": "2c4b2464-6646-4892-bbd4-87275ae07af3",
"object": "purchase",
"live_mode": true,
"quantity": 1,
"revoked": false,
"revoked_at": null,
"revoke_at": null,
"customer": "7fa91d98-c352-4310-b2e4-ed9ff844a916",
"initial_order": "423dc9a0-02b1-442c-af4f-1ebf9a8c4f60",
"license": null,
"price": "0a2c5cd9-e749-4d2b-a29d-4010d98e5e06",
"product": "40946d8f-b6a7-4888-bf32-d76e64c2a85b",
"subscription": null,
"variant": null,
"review": null,
"created_at": 1787228381,
"updated_at": 1787228381
}
},
"type": "purchase.created",
"account": "5dba9c99-6422-4c8e-9a05-24b63d98b1cb",
"created_at": 1787228381
}Events
Retrieve
Retrieves details of a specific event.
GET
/
v1
/
events
/
{id}
Retrieve
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
Expandable – The associated account ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Description of the event (e.g., subscription.updated or charge.updated).
Was this page helpful?
⌘I